Bug 1270617 - [PATCH] Make python-iniparse identify it needs six module and it supports Py26+ and Py33+
[PATCH] Make python-iniparse identify it needs six module and it supports Py2...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-iniparse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neal Gompa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 18:29 EDT by Neal Gompa
Modified: 2016-12-11 07:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-11 07:17:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
setup.py and PKG-INFO fixes for python-iniparse (1.87 KB, patch)
2015-10-11 18:29 EDT, Neal Gompa
no flags Details | Diff

  None (edit)
Description Neal Gompa 2015-10-11 18:29:26 EDT
Created attachment 1081824 [details]
setup.py and PKG-INFO fixes for python-iniparse

Description of problem:
In my testing of python dep generator code[0] (which admittedly we don't use right now), I noticed that python-iniparse isn't set up properly to indicate it needs the six module and such. I've made a patch to correct this issue. It's not particularly urgent right now, but it will come in handy if we decide to turn on the new generator in rawhide (hopefully after my PR is merged).

[0]: https://github.com/rpm-software-management/rpm/pull/15

Version-Release number of selected component (if applicable):
0.4-16.fc23

How reproducible:
Always

Additional info:
This fix was also submitted to Mageia[1], as they use an automatic Python dependency generator too.

[1]: https://bugs.mageia.org/show_bug.cgi?id=16943
Comment 1 Neal Gompa 2015-11-15 09:25:09 EST
My work on the dependency generator was merged into rpm master[0], so you can verify it using that code, too.

It can also be observed in Mageia Cauldron, where my patch has been applied so it generates proper dependencies with their python dep generator[1][2].

[0]: https://github.com/rpm-software-management/rpm/pull/23
[1]: http://www.rpmfind.net//linux/RPM/mageia/cauldron/x86_64/media/core/release/python-iniparse-0.4-13.mga6.noarch.html
[2]: http://www.rpmfind.net//linux/RPM/mageia/cauldron/x86_64/media/core/release/python3-iniparse-0.4-13.mga6.noarch.html
Comment 2 Jan Kurik 2016-02-24 08:49:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Neal Gompa 2016-12-11 07:17:39 EST
Applied to rawhide.

Note You need to log in before you can comment on or make changes to this bug.